<?php

$loaders = [
    __DIR__."/../vendor/autoload.php",
    __DIR__."/../../../autoload.php",
];
foreach ($loaders as $loader) {
    if (file_exists($loader)) { require_once $loader; break; }
}

if (count($argv)>1 && $argv[1]=='self-update') {
    if (IS_PHAR) {
        tinyphar_update(META_PACKAGE_NAME, META_PACKAGE_VERSION, META_UPDATE_CHANNEL);
    } else {
        printf("Error: You can only self-update phar archives!\n");
    }
    exit;
}

$app = new MakePhar\Application();
$app->run();
